# Interface ValueStore

All Known Implementing Classes:
  `ArrayPrimitiveStore`

public interface ValueStore
Interface for storing a vector of values. Depending on implementation, these values may be objects or primitives.

Since:
  2 Nov 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`get(long index, Object array, int ioff, int count)`
Retrieves a vector of values from this object.
`long`
`getLength()`
Returns the length of the vector.
`Class<?>`
`getType()`
Returns the class of value which this object can store.
`void`
`put(long index, Object array, int ioff, int count)`
Stores a vector of values in this object.

## Method Details

### getType

Class<?> getType()
Returns the class of value which this object can store.

Returns:
  primitive class

### getLength

long getLength()
Returns the length of the vector.

Returns:
  vector length

### put

void put(long index, Object array, int ioff, int count)
Stores a vector of values in this object. `array` must be an array of values matching `getType`. Element `ioff` of `array` is stored at index `index`, elemnt `ioff+1` at `index+1`, etc.

Parameters:
  `index` - starting offset to write to
  `array` - array of values to store
  `ioff` - offset into array from which the first value is taken
  `count` - number of values to transfer

### get

void get(long index, Object array, int ioff, int count)
Retrieves a vector of values from this object. `array` must be an array of type matching `getType`. Every element of `array` will be filled with values; the first retrieved from offset `index`, the second from `index+1`, etc.

Parameters:
  `index` - starting offset
  `array` - array to accept data
  `ioff` - offset into array to which the first value is copied
  `count` - number of values to transfer